QGIS Application - Bug report #20737
Can't open shapefiles from https websites on windows
2018-12-06 09:35 AM - Chris Chauvot

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:3.4.2 Regression?: No
Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 28557
Description

| can't achieve to load specific shapefiles from some websites with https protocols.
Users that tried to help me reported that it works from OSX and linux.
| don't know if this come from QGis or GDAL (or even curl?)

Links example :
Works well -> /vsizip//vsicurl/http://bano.openstreetmap.fr/BAN_odbl/BAN_odbl_01-shp.zip

Don't work -> /vsizip//vsicurl/https://cadastre.data.gouv.fr/data/etalab-cadastre/latest/shp/departements/01/cadastre-01-parcelles-shp.zip

Tested on 2.18.23 and 3.4.2, same behaviour.

Related issues:
Duplicates QGIS Application - Bug report # 19331: GDAL/VSICURL certificate er... Open 2018-07-04

History

#1 - 2018-12-06 11:37 AM - Giovanni Manghi
- Category changed from GDAL Tools to Data Provider
- Status changed from Open to Feedback

What about windows 10?

#2 - 2018-12-07 10:05 AM - Chris Chauvot

I don't know, | don't have this distrib at my disposal, and my department doesn't plan to migrate all their computers to W10 soon.
| fixed it but unfortunately it didn't lasted long.

The problem comes from CURL, which needs a certificate if it isn't built with the libraries of the OS, which isn't the case with QGIS on Windows. As the http
protocol don't need this certificate, it works well.

Then, Is it possible to change the way CURL is built? Or provide the certificate during the installation? Deactivate the SSL verification within OGR and
GDAL is also possible, but less secure.

See my post on GIS stack exchange for further info : https:/gis.stackexchange.com/questions/304912/cant-open-specific-layers-with-qgis-nor-ogr/305176

#3 - 2018-12-07 02:14 PM - Giovanni Manghi

The problem comes from CURL, which needs a certificate if it isn't built with the libraries of the OS, which isn't the case with QGIS on Windows. As
https://gis.stackexchange.com/questions/304912/cant-open-specific-layers-with-qgis-nor-ogr/305176

the http protocol don't need this certificate, it works well.

Then, Is it possible to change the way CURL is built? Or provide the certificate during the installation?

this would be a feature request, don't you agree?

#4 - 2018-12-07 02:39 PM - Chris Chauvot

Sounds more like a fix as it is intended that https datasources works as demonstrated in the docs/cookbook.

Also I'm not 100% sure the certificate is the only cause, | think this requires more investigation.

#5 - 2018-12-07 02:57 PM - Giovanni Manghi

Chris Chauvot wrote:

Sounds more like a fix as it is intended that https datasources works as demonstrated in the docs/cookbook.

Also I'm not 100% sure the certificate is the only cause, | think this requires more investigation.

it is an operating system thing, not a qgis one. | don't think is a bug.

#6 - 2018-12-12 09:32 AM - Chris Chauvot

Well, it's not that simple.

The problem doesn't comes from Windows itself, but from the way CURL is built.
Windows doesn't fail to provide certificates, CURL just doesn't use them.

The problem definitely comes from a specificity of CURL, but it depends on the way it is installed. Then, as CURL comes preinstalled on the dedicated
python environment of QGIS, the problem should be handled by QGIS, or at least specified on the documentation.

Also, seems to be a duplicate of #19331

#7 - 2019-02-24 10:20 AM - Giovanni Manghi

- Duplicates Bug report #19331: GDAL/VSICURL certificate errors loading cloud optimized geotiffs over https via data source manager added

#8 - 2019-02-24 10:20 AM - Giovanni Manghi

- Resolution set to duplicate
- Status changed from Feedback to Closed
